Bug 807400 - [abrt] system-config-printer-libs-1.3.8-4.fc15: authconn.py:251:_authloop:AttributeError: 'module' object has no attribute 'IPP_AUTHENTICATION_CANCELED'
[abrt] system-config-printer-libs-1.3.8-4.fc15: authconn.py:251:_authloop:Att...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-cups (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:5b0c3c60ffbd088bec5ca94194c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 13:01 EDT by Enrique
Modified: 2012-07-10 12:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-cups-1.9.60-3.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 12:38:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Comment (72.75 KB, text/plain)
2012-07-09 09:44 EDT, LiZhenbo
no flags Details

  None (edit)
Description Enrique 2012-03-27 13:01:48 EDT
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python /usr/share/system-config-printer/scp-dbus-service.py
component:      system-config-printer
executable:     /usr/share/system-config-printer/scp-dbus-service.py
kernel:         2.6.42.12-1.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        system-config-printer-libs-1.3.8-4.fc15
reason:         authconn.py:251:_authloop:AttributeError: 'module' object has no attribute 'IPP_AUTHENTICATION_CANCELED'
time:           Tue Mar 27 19:00:35 2012
uid:            4876
username:       cgarcia

backtrace:
:authconn.py:251:_authloop:AttributeError: 'module' object has no attribute 'IPP_AUTHENTICATION_CANCELED'
:
:Traceback (most recent call last):
:  File "/usr/share/system-config-printer/jobviewer.py", line 1995, in job_removed
:    self.notify_completed_job (jobid)
:  File "/usr/share/system-config-printer/jobviewer.py", line 1748, in notify_completed_job
:    requested_attributes=pattrs)
:  File "/usr/share/system-config-printer/authconn.py", line 219, in <lambda>
:    return lambda *args, **kwds: self._authloop (fname, fn, *args, **kwds)
:  File "/usr/share/system-config-printer/authconn.py", line 251, in _authloop
:    e == cups.IPP_AUTHENTICATION_CANCELED):
:AttributeError: 'module' object has no attribute 'IPP_AUTHENTICATION_CANCELED'
:
:Local variables in innermost frame:
:c: <cupspk.Connection instance at 0x1c2c6c8>
:retry: False
:e: 1030
:kwds: {'requested_attributes': ['device-uri'], 'uri': u'ipp://spoon.hq.eso.org:631/printers/pacolm07'}
:self: <authconn.Connection instance at 0x1c29248>
:args: ()
:m: 'client-error-not-found'
:fname: 'getPrinterAttributes'
:fn: <method-wrapper '__call__' of builtin_function_or_method object at 0x1de1638>

comment:
:
: Just sending something to the printer from evince
Comment 1 Fedora Update System 2012-03-28 05:48:02 EDT
python-cups-1.9.60-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-cups-1.9.60-3.fc16
Comment 2 Fedora Update System 2012-03-28 05:48:40 EDT
python-cups-1.9.60-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-cups-1.9.60-3.fc15
Comment 3 Fedora Update System 2012-03-30 23:00:55 EDT
Package python-cups-1.9.60-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-cups-1.9.60-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4971/python-cups-1.9.60-3.fc15
then log in and leave karma (feedback).
Comment 4 Enrique 2012-05-15 12:52:36 EDT
 I am trying to install the update as explained in the last comment but it seems that it is not actually installed. This is the error:
================================================================================
 Package           Arch         Version             Repository             Size
================================================================================
Updating:
 python-cups       x86_64       1.9.60-3.fc15       updates-testing        70 k

Transaction Summary
================================================================================
Upgrade       1 Package(s)

Total download size: 70 k
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 70 k
python-cups-1.9.60-3.fc15.x86_64.rpm                     |  70 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
python-cups-1.9.60-3.fc15.x86_64 was supposed to be installed but is not!
python-cups-1.9.60-2.fc15.x86_64 was supposed to be removed but is not!

Updated:
  python-cups.x86_64 0:1.9.60-3.fc15                                            

Complete!
Comment 5 Enrique 2012-05-15 12:56:39 EDT
 Actually I found that if I login as root it works fine. It seems that doing it through su -c doesn't work.

 Regards, 
 Enrique
Comment 6 LiZhenbo 2012-07-06 08:53:16 EDT
I had the same problem

authconn.py:245:_authloop:AttributeError: 'module' object has no attribute 'IPP_AUTHENTICATION_CANCELED'

Traceback (most recent call last):
  File "/usr/share/system-config-printer/printerproperties.py", line 1569, in on_btnRefreshMarkerLevels_clicked
    self.maintenance_command ("ReportLevels")
  File "/usr/share/system-config-printer/printerproperties.py", line 1216, in maintenance_command
    user=cups.getUser ())
  File "/usr/share/system-config-printer/authconn.py", line 215, in <lambda>
    return lambda *args, **kwds: self._authloop (fname, fn, *args, **kwds)
  File "/usr/share/system-config-printer/authconn.py", line 245, in _authloop
    ipp_auth_canceled = cups.IPP_AUTHENTICATION_CANCELED
AttributeError: 'module' object has no attribute 'IPP_AUTHENTICATION_CANCELED'

Local variables in innermost frame:
c: <cupspk.Connection instance at 0x93ab70c>
retry: False
e: 1286
kwds: {'user': 'lizhenbo', 'file': '/tmp/tmpldLv2g', 'format': 'application/vnd.cups-command'}
self: <authconn.Connection instance at 0x93ab8ec>
args: (u'EPL-6200L',)
m: 'server-error-not-accepting-jobs'
fname: 'printTestPage'
ipp_auth_canceled: 4096
fn: <method-wrapper '__call__' of builtin_function_or_method object at 0x93abdcc>
Comment 7 Tim Waugh 2012-07-06 11:15:19 EDT
litimetal@gmail.com: and did you try the update mentioned in comment #3?
Comment 8 LiZhenbo 2012-07-06 20:21:50 EDT
(In reply to comment #7)
> litimetal@gmail.com: and did you try the update mentioned in comment #3?

I updated "python-cups", then downloaded the driver "http://www.avasys.jp/lx-bin2/linux_e/laser/DL1.do" , and another problem happened. (I think I should talk it in another issue):

Everything seems to be fine, the computer showed Printed successfully, but the printer ignored it and didn't work.
Comment 9 Jiri Popelka 2012-07-09 08:16:06 EDT
(In reply to comment #8)
> I updated "python-cups", then downloaded the driver
> "http://www.avasys.jp/lx-bin2/linux_e/laser/DL1.do" , and another problem
> happened. (I think I should talk it in another issue):

You could fill another ticket, but I doubt we'll be able to help you with some 3rd party driver. What's your printer model ?
Comment 10 LiZhenbo 2012-07-09 09:44:31 EDT
Created attachment 915473 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 11 Jiri Popelka 2012-07-09 12:30:22 EDT
(In reply to comment #10)
> 'printer-make-and-model': u'EPSON EPL-6200 PS3 v3015.102',

This PPD is shipped with foomatic-db.

>  'foomatic': ['package foomatic is not installed'],


I'd suggest to:
- delete the printer in system-config-printer
- remove/uninstall all files that you installed from http://www.avasys.jp
- install foomatic package
- add the printer in system-config-printer using the 'EPSON EPL-6200 PS3 v3015.102' driver.

If that doesn't work, fill a new bug against foomatic and add (as attachment) a new troubleshooter output.
Comment 12 Jiri Popelka 2012-07-09 12:38:28 EDT
Fedora 15 reached end of life on 2012-06-26, and no further updates
will be pushed.

Fedora 16 will get this fixed with
https://admin.fedoraproject.org/updates/python-cups-1.9.60-3.fc16
Comment 13 LiZhenbo 2012-07-10 08:56:40 EDT
(In reply to comment #11)
> (In reply to comment #10)
> > 'printer-make-and-model': u'EPSON EPL-6200 PS3 v3015.102',
> 
> This PPD is shipped with foomatic-db.
> 
> >  'foomatic': ['package foomatic is not installed'],
> 
> 
> I'd suggest to:
> - delete the printer in system-config-printer
> - remove/uninstall all files that you installed from http://www.avasys.jp
> - install foomatic package
> - add the printer in system-config-printer using the 'EPSON EPL-6200 PS3
> v3015.102' driver.
> 
> If that doesn't work, fill a new bug against foomatic and add (as
> attachment) a new troubleshooter output.

Sorry, I forgot to add an attachment.
I tried your suggestions but it still couldn't work.
I've reported a new bug 838923.

Thank you a lot.
Comment 14 Fedora Update System 2012-07-10 12:26:46 EDT
python-cups-1.9.60-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.